[arch-commits] Commit in scim/trunk (PKGBUILD scim-java.diff)

Eric Bélanger eric at archlinux.org
Sun Mar 8 05:11:39 UTC 2009


    Date: Sunday, March 8, 2009 @ 00:11:39
  Author: eric
Revision: 29342

upgpkg: scim 1.4.8-2
    Added patch for java clients (close FS#12356)

Added:
  scim/trunk/scim-java.diff
Modified:
  scim/trunk/PKGBUILD

----------------+
 PKGBUILD       |   10 +++++-----
 scim-java.diff |   13 +++++++++++++
 2 files changed, 18 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-03-08 00:23:45 UTC (rev 29341)
+++ PKGBUILD	2009-03-08 05:11:39 UTC (rev 29342)
@@ -4,7 +4,7 @@
 
 pkgname=scim
 pkgver=1.4.8
-pkgrel=1
+pkgrel=2
 pkgdesc="A Input Method development platform"
 arch=("i686" "x86_64")
 url="http://www.scim-im.org/projects/scim"
@@ -13,14 +13,14 @@
 makedepends=('intltool')
 options=('!libtool')
 install=scim.install
-source=(http://downloads.sourceforge.net/sourceforge/scim/$pkgname-$pkgver.tar.gz)
-md5sums=('c52da019d48df4ba44cbd01558203cc7')
+source=(http://downloads.sourceforge.net/sourceforge/scim/$pkgname-$pkgver.tar.gz scim-java.diff)
+md5sums=('c52da019d48df4ba44cbd01558203cc7' 'd4532c5493e6086edc0f170c3f490d81')
 
 build() {
   cd $srcdir/$pkgname-$pkgver
+  patch -p1 < ../scim-java.diff || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
-    --with-gnu-ld --with-x \
-    --disable-config-gconf --disable-static || return 1
+    --with-gnu-ld --with-x --disable-static || return 1
   make || return 1
   make DESTDIR=$startdir/pkg install || return 1
 }

Added: scim-java.diff
===================================================================
--- scim-java.diff	                        (rev 0)
+++ scim-java.diff	2009-03-08 05:11:39 UTC (rev 29342)
@@ -0,0 +1,13 @@
+diff -urNad scim-1.4.7~/modules/FrontEnd/scim_x11_frontend.cpp scim-1.4.7/modules/FrontEnd/scim_x11_frontend.cpp
+--- scim-1.4.7~/modules/FrontEnd/scim_x11_frontend.cpp	2007-06-26 14:31:52.000000000 +0000
++++ scim-1.4.7/modules/FrontEnd/scim_x11_frontend.cpp	2008-03-15 06:36:15.000000000 +0000
+@@ -1086,7 +1086,8 @@
+     // If the ic is not focused, then return.
+     if (!is_focused_ic (ic)) {
+         SCIM_DEBUG_FRONTEND(1) << "IC " << call_data->icid << " is not focused, focus it first.\n";
+-        ims_set_ic_focus_handler (ims, (IMChangeFocusStruct *) call_data);
++        // ims_set_ic_focus_handler (ims, (IMChangeFocusStruct *) call_data);
++        return 1;
+     }
+ 
+     XKeyEvent *event = (XKeyEvent*) &(call_data->event);




More information about the arch-commits mailing list